/**
 * 
 * @param {Array} weights  每件物品的重量
 * @param {Array} values  每件物品的价值
 * @param {Number} capacity  背包的总容量
 */
function knapsack(weights, values, capacity){//数组是当做指针传递的
    var n = weights.length; //物品的数量 
    var matrix = []; //创建一个二维数组
    for(var i = 0; i < n; i ++ ){
        matrix[i] = [];
        for(var j = 0; j < capacity; j++){
            matrix[i].push(0);
        }
    }
}